Package de.willuhn.jameica.hbci.gui.input

# Class BankInfoInput

java.lang.Object
de.willuhn.jameica.gui.input.AbstractInput
de.willuhn.jameica.gui.input.SearchInput
de.willuhn.jameica.hbci.gui.input.BankInfoInput

All Implemented Interfaces:
  `de.willuhn.jameica.gui.input.Input`, `de.willuhn.jameica.gui.Part`

public class BankInfoInput extends de.willuhn.jameica.gui.input.SearchInput
Such-Eingabefeld zum Suchen einer Bank anhand Name, BLZ, BIC oder Ort.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.input.SearchInput

`DEFAULT_DELAY`

### Fields inherited from interface de.willuhn.jameica.gui.input.Input

`DATAKEY_TOOLTIP`

## Constructor Summary

Constructors
Constructor
Description
`BankInfoInput(String query)`
ct.

## Method Summary

Modifier and Type
Method
Description
`List`
`startSearch(String text)`

### Methods inherited from class de.willuhn.jameica.gui.input.SearchInput

`addListener, disable, enable, focus, format, getControl, getText, getValue, isEnabled, setAttribute, setDelay, setEnabled, setMaxLength, setMinWidth, setSearchString, setStartAt, setText, setValue, update`

### Methods inherited from class de.willuhn.jameica.gui.input.AbstractInput

`addListener, getData, getName, getParent, getStyleBits, hasChanged, isMandatory, paint, paint, setComment, setData, setInvalidChars, setMandatory, setName, setValidChars`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BankInfoInput

public BankInfoInput(String query)
ct.

Parameters:
  `query` - der initiale Suchbegriff.

## Method Details

### startSearch

public List startSearch(String text)

Overrides:
  `startSearch` in class `de.willuhn.jameica.gui.input.SearchInput`
See Also:
  - `SearchInput.startSearch(java.lang.String)`